#include<bits/stdc++.h>
using namespace std;
long long a[200005],n,q,l,r,prefiks[200005];
int main(){
   scanf("%lld ",&n);
   a[0]=1e6;
   for(int i=1;i<=n;i++){
      scanf("%lld ",&a[i]);
      if(a[i]>a[i-1]){
         prefiks[i-1]++;
      }
   }
   scanf("%lld ",&q);
   for(int i=1;i<=q;i++){
      scanf("%lld %lld",&l,&r);
      if(prefiks[r]-prefiks[l]<2){
         printf("DA\n");
      }
      else{
         printf("NE\n");
      }
   }
return 0;
}